OpenapiNotifications
Register a push notification device
Registers a push notification token so the device can receive Ring alerts.
Authorization
RingAccessToken AuthorizationBearer <token>
Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/clients_api/device" \ -H "Content-Type: application/json" \ -d '{ "device": { "metadata": { "pn_dict_version": "2.0.0", "pn_service": "fcm" }, "os": "android", "push_notification_token": "string" } }'Empty